Subject: [rbridge] need some info on TRILL

From: Selvaraj Rajan <[email-masked]>
Date: Thu, 27 Aug 2009 17:08:24 -0700

Hi,
I had some time browsing through few mails in the rbridge mail archive for
follwoing info.
But as I run out of patience I am sending this mail to this group. So excuse
me incase if
this is a duplicate question.

1) What all TRILL protocol needs from IS-IS RFC1195/ISO 10589?

    - Adjacency formation: Is this same as IS-IS but for TRILL by sending
TRILL Hellos ?
    - DR election: Is this same as IS-IS.
    - LSP generation: LSP aging, numbering all are same but for TRILL by
generating TRILL LSPs.

   Essentially is that all are same except the LSP and Hello PDU information
?
  CSNP and PSNPs still remains same for both ?

     It would be better to have one single document for TRILL where in the
sections from ISO 10589 or RFC 1195 shall be cross refered.
     In case the document is already availabe please send me the pointer.

2) Is their any MIB document available for TRILL protocol ?

Thanks,
Selva.
_______________________________________________
rbridge mailing list
[email-masked]
http://mailman.postel.org/mailman/listinfo/rbridge

---

From: Donald Eastlake <[email-masked]>
Date: Thu, 27 Aug 2009 22:46:48 -0400

Hi Selvaraj,

See below:

> this is a duplicate question.

I'll try to answer your questions but you really should read the
current base protocol specification at
http://www.ietf.org/id/draft-ietf-trill-rbridge-protocol-13.txt
I think that would be a better way to lear about TRILL than just
reading recent emails.

> 1) What all TRILL protocol needs from IS-IS RFC1195/ISO 10589?

See sections 4.2, 4.3, and 4.4 of the base protocol spec.

>     - Adjacency formation: Is this same as IS-IS but for TRILL by sending

More or less yes.

>     - DR election: Is this same as IS-IS.

No, election of DR/DIS/DRB is a little different. In particular, layer
3 routers ignore other systems for the DRB election unless they have
two way connectivity. TRILL does not ignore such other systems. See
Section 4.4.1 of the base protocol spec.

>   CSNP and PSNPs still remains same for both ?

More or less yes but there are at least additional information items
in the LSPs.

>      In case the document is already availabe please send me the pointer.

Just references to ISO 10589 would be inadequate. TRILL also uses many
extensions to IS-IS made in various RFCs. See also the following
draft, although it needs changes and additions:
http://tools.ietf.org/id/draft-ietf-isis-layer2-01.txt

> 2) Is their any MIB document available for TRILL protocol ?

Not yet.

> Selva.

Thanks,
Donald